Plank.Theme.draw_rounded_rect – plank Reference Manual

# draw_rounded_rect

## Description:

public static void draw_rounded_rect (Context cr, double x, double y, double width, double height, double top_radius = 6.0, double bottom_radius = 6.0, double line_width = 1.0)

Draws a rounded rectangle. If compositing is disabled, just draws a normal rectangle.

## Parameters:

cr | the context to draw with
x | the x location of the rect
y | the y location of the rect
width | the width of the rect
height | the height of the rect
top_radius | the roundedness of the top edge
bottom_radius | the roundedness of the bottom edge
line_width | the line-width of the rect